using SqlSugar;
using System;
using System.Runtime.Serialization;

namespace SlnMesnac.Model.domain
{
    [SugarTable("wms_base_location"), TenantAttribute("wcs")]
    [DataContract(Name = "库位信息表")]
    public class WmsBaseLocation
    {
        [SugarColumn(ColumnName = "location_id", IsPrimaryKey = true, IsIdentity = true, ColumnDescription = "库位ID")]
        public int LocationId { get; set; }

        [SugarColumn(ColumnName = "workshop_id", ColumnDescription = "所属车间编号(2-2#,3-3#)")]
        public int WorkshopId { get; set; }

        [SugarColumn(ColumnName = "warehouse_id", ColumnDescription = "仓库ID，关联wms_base_warehouse的warehouse_id")]
        public int WarehouseId { get; set; }

        [SugarColumn(ColumnName = "machineid", ColumnDescription = "所属机台")]
        public int MachineId { get; set; }

        [SugarColumn(ColumnName = "agv_position_code", ColumnDescription = "agv的点位编码")]
        public string AgvPositionCode { get; set; }

        [SugarColumn(ColumnName = "location_code", ColumnDescription = "库位编码")]
        public string LocationCode { get; set; }

        [SugarColumn(ColumnName = "container_code", ColumnDescription = "料箱编码")]
        public string? ContainerCode { get; set; }

        [SugarColumn(ColumnName = "loc_column", ColumnDescription = "列")]
        public int LocColumn { get; set; }

        [SugarColumn(ColumnName = "active_flag", DefaultValue = "1", ColumnDescription = "激活标记 1是 0否;激活标记 1是 0否")]
        public int ActiveFlag { get; set; }

        [SugarColumn(ColumnName = "location_status", ColumnDescription = "在正常时，库位可以使用，如果是自动锁定则需要自动解锁变成正常，如果是人工锁定需要人工解锁变成正常")]
        public int LocationStatus { get; set; }

        [SugarColumn(ColumnName = "create_by", ColumnDescription = "创建者")]
        public string CreateBy { get; set; }

        [SugarColumn(ColumnName = "created_time", ColumnDescription = "创建时间")]
        public DateTime CreatedTime { get; set; }

        [SugarColumn(ColumnName = "updated_by", ColumnDescription = "更新人")]
        public string UpdatedBy { get; set; }

        [SugarColumn(ColumnName = "updated_time", ColumnDescription = "更新时间")]
        public DateTime UpdatedTime { get; set; }

        [SugarColumn(ColumnName = "remark", ColumnDescription = "备注")]
        public string? Remark { get; set; }

        [SugarColumn(ColumnName = "equip_key", ColumnDescription = "RFId设备key")]
        public string? EquipKey { get; set; }




      
    }
}